package at.ac.tuwien.cs.ztimeview.util;

import java.util.Enumeration;

import edu.umd.cs.piccolo.PNode;
import edu.umd.cs.piccolo.nodes.PText;

import at.ac.tuwien.cs.ztimeview.core.Task;
import at.ac.tuwien.cs.ztimeview.ui.PLifeLine;
import at.ac.tuwien.cs.ztimeview.util.ColorManager;

/**
Class for generating test data (LifeLine hierarchy)
  
@author Wolfgang Aigner
@version 0.3
  
 created: 2004-05-21
 last change: 2004-06-06
*/
public class PLifeLineFactory {
	
	/** Generate a LifeLine hierarchy from a given task hierarchy
	@param userObject object to generate LifeLines from
	*/
	public static PLifeLine getPLifeLineFor(Object userObject) {
		PLifeLine l = null;
		
		if(userObject instanceof Task) {
			Task t = (Task) userObject;
			l = new PLifeLine(t.getName(), t);
			l.setPaint(ColorManager.getColorFor(t));
			
			Enumeration i = t.children(); 							
			while (i.hasMoreElements()) {
				Task each = (Task) i.nextElement();
				l.addChild(getPLifeLineFor(each));
			}
		}
		return l;
	}
	
}