package at.ac.tuwien.cs.ztimeview.time;

import java.util.*;

/**
Absolute reference point for time annotation
  
@author Wolfgang Aigner
@version 0.3
  
 created: 2003-02-17
 last change: 2003-03-18
*/
public class ReferencePoint implements TimeAnnotationReference {

	Date ref = null;
	
	/** Default constructor - sets reference point to 0 */
	public ReferencePoint() {
		// create reference point 0 (1.1.1970)
		Date refDate = new Date(0);
		GregorianCalendar refDateCal = new GregorianCalendar();
		refDateCal.setTime(refDate);
		refDateCal.setTimeZone(TimeZone.getTimeZone("GMT"));
		
		this.ref = refDateCal.getTime();
	}
	
	/** Constructor 
	@param ref absolute reference point*/
	public ReferencePoint(Date ref) {
		this.ref = ref;
	}
	
	/** Get absolute value for reference
	@return Date object representing reference point */
	public Date getAbsoluteValue() {
		return this.ref;
	}
	
	/** Set ref point time
	@param reference point time */
	public void setTime(Date ref) {
		this.ref = ref;
	}
	
	/** Get ref point time
	@return reference point time */
	public Date getTime() {
		return this.ref;
	}
}
