package at.ac.tuwien.cs.ztimeview.util;

import java.util.Enumeration;

import at.ac.tuwien.cs.ztimeview.core.Task;
import at.ac.tuwien.cs.ztimeview.core.PlanningTask;
import at.ac.tuwien.cs.ztimeview.ui.PLifeLinePlus;
import at.ac.tuwien.cs.ztimeview.ui.PPlanningLine;
import at.ac.tuwien.cs.ztimeview.util.ColorManager;

/**
Factory class for generating PLifeLinePlus
 
@author Wolfgang Aigner
@version 0.2

 created: 2004-06-04
 last change: 2004-06-06
*/
public class PLifeLinePlusFactory {
	
	/** Generate a LifeLinePlus from a given task
	@param userObject object to generate LifeLine from
	*/
	public static PLifeLinePlus getPLifeLinePlusFor(Object userObject) {
		PLifeLinePlus l = null;
		
		if(userObject instanceof PlanningTask) {
			PlanningTask pt = (PlanningTask) userObject;
			l = new PPlanningLine(pt.getName(), pt, pt);
		} else if(userObject instanceof Task) {
			Task t = (Task) userObject;
			l = new PLifeLinePlus(t.getName(), t, t);
		}  
		
		if(l != null) {
			l.setPaint(ColorManager.getColorFor(userObject));
		}
		
		return l;
	}
	
}