<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet
	version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html" doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN"/>

	<xsl:key name="Sendungen-nach-Tag" match="Sendung" use="sortkey" />

	<xsl:template match="Suchergebnis">
		<html>
			<head>
				<title>Suchergebnis</title>
			</head>
			<body>
				<h1>Suchergebnis:</h1>
				<xsl:for-each select="Sendung[count(. | key('Sendungen-nach-Tag', sortkey)[1]) = 1]">
				<xsl:sort data-type="number" select="sortkey" />
  				<table border="1" bgcolor="lightgrey">					
						<tr bgcolor="lightyellow">
							<td colspan="4" align="center"><br/><h2><xsl:value-of select="Datum"/></h2></td>
						</tr>
						<tr>
							<td bgcolor="lightsteelblue"><b>Beginn</b></td>
							<td bgcolor="lightsteelblue"><b>Titel</b></td>
							<td bgcolor="lightsteelblue"><b>Kategorie</b></td>
							<td bgcolor="lightsteelblue"><b>Sender</b></td>
  					</tr>
  					<xsl:for-each select="key('Sendungen-nach-Tag', sortkey)">
  						<xsl:sort data-type="number" select="Ausstrahlung/Uhrzeit_Beginn"/>
      	 			<tr>
      	 				<td bgcolor="white">
      	 					<xsl:value-of select="Ausstrahlung/Uhrzeit_Beginn"/>
      	 				</td>
      	 				<td bgcolor="white">
            			<xsl:value-of select="Titel"/>
            		</td>
            		<td bgcolor="white">
            			<xsl:apply-templates select="Kategorie/Film"/>
            			<xsl:apply-templates select="Kategorie/Magazin"/>
            			<xsl:apply-templates select="Kategorie/Serie"/>
            			<xsl:apply-templates select="Kategorie/Show"/>
            			<xsl:apply-templates select="Kategorie/Nachrichten"/>
            		</td>
            		<td bgcolor="white">
            			<xsl:value-of select="Sender"/>
            		</td>
            	</tr>
						</xsl:for-each>
						
					</table>
					<p/>
				</xsl:for-each>
			</body>
		</html>
  </xsl:template> 
  
  <xsl:template match="Kategorie/Film">
  	Film
  </xsl:template>
  
  <xsl:template match="Kategorie/Magazin">
  	Magazin
  </xsl:template>
  
  <xsl:template match="Kategorie/Serie">
  	Serie
  </xsl:template>
  
  <xsl:template match="Kategorie/Show">
  	Show
  </xsl:template>
  
  <xsl:template match="Kategorie/Nachrichten">
  	Nachrichten
  </xsl:template>
  
</xsl:stylesheet>