/**
*  Color palette for coloring Asbru LifeLines
*  
*  @author Wolfgang Aigner
*  @version 0.2
*  
*  created: 2003-02-14
*  last change: 2004-05-21
*/

package at.ac.tuwien.cs.ztimeview.util;

import java.util.Vector;
import java.awt.Color;

public class MyColorPalette implements IColorPalette {
	private final static int NO_OF_BASIC_COLORS = 12;
	private final static int NO_OF_BRIGHTER_COLORS = 4;
	private final static int NO_OF_SATURATED_COLORS = 5;
	private final static float BASIC_HUE = (float) 0; // degrees
	private final static float BASIC_SATURATION = (float) 0.5; // %
	private final static float BASIC_BRIGHTNESS = (float) 0.6; // %
	
	static Vector palette = null;
	
	int currIndex = 0; // current color index
	
	//////////////////// STATIC INITIALISER ////////////////////
	static {
		// build palette
		palette = new Vector();
		
		// --- basic colors ---
		float hueChange = (float) (1 / (float) NO_OF_BASIC_COLORS);
		float hue = BASIC_HUE;
		float saturation = BASIC_SATURATION;
		float brightness = BASIC_BRIGHTNESS;
		for(int i = 0; i < NO_OF_BASIC_COLORS; i++) {
			palette.add(Color.getHSBColor(hue, saturation, brightness));
			hue += hueChange; 
		}
		
		// --- brighter and more saturated colors ---
		
	}
	
	//////////////////// METHODS ////////////////////
	
	/** Constructor */
	public void MyColorPalette() {
		this.currIndex = 0;
	}
	
	/** Get next color */
	public Color getNextColor() {
		Color actColor = (Color) palette.elementAt(this.currIndex);
		this.currIndex = (this.currIndex + 1) % palette.size();
		return actColor;
	}
	
}
