/**
*  Factory class for generating PLifeLinePlus
*  
*  @author Wolfgang Aigner
*  @version 0.2
*  
*  created: 2004-06-04
*  last change: 2004-06-06
*/

package at.ac.tuwien.cs.ztimeview.util;

import java.util.Enumeration;

import at.ac.tuwien.cs.ztimeview.core.Task;
import at.ac.tuwien.cs.ztimeview.core.Milestone;
import at.ac.tuwien.cs.ztimeview.ui.PTimeElement;
import at.ac.tuwien.cs.ztimeview.ui.PLifeLinePlus;
import at.ac.tuwien.cs.ztimeview.ui.PEvent;
import at.ac.tuwien.cs.ztimeview.util.ColorManager;

import edu.umd.cs.piccolo.PNode;

public class PTimeElementFactory {
	
	/** Generate a LifeLinePlus from a given task
	@param userObject object to generate LifeLine from
	*/
	public static PTimeElement getPTimeElementFor(Object userObject) {
		PTimeElement e = null;
		
		if(userObject instanceof Task) {
			Task t = (Task) userObject;
			e = new PLifeLinePlus(t.getName(), t, t);
		} else if(userObject instanceof Milestone) {
			Milestone m = (Milestone) userObject;
			e = new PEvent(m.getName(), m.getTime(), m);
		}
		((PNode) e).setPaint(ColorManager.getColorFor(userObject));
		
		return e;
	}
	
}